import { useSubMenu } from '@common/hooks/useSubMenu';
import { PreScatView } from './PreScatView';
import SurveyView from './SurveyView';
import DistributionView from './DistributionView';

export function ScatView() {
  const { activeSubTab } = useSubMenu('scat');

  const renderContent = () => {
    switch (activeSubTab) {
      case 'survey':
        return <SurveyView />;
      case 'distribution':
        return <DistributionView />;
      case 'pre-scat':
        return <PreScatView />;
      default:
        return <SurveyView />;
    }
  };

  return (
    <div className="flex flex-col h-full w-full bg-bg-base">
      <div className="flex-1 overflow-auto">{renderContent()}</div>
    </div>
  );
}
